Class | Regexp
In: | lib/json/add/regexp.rb
Parent: | Object

Regexp serialization/deserialization

### Methods

as_json json_create to_json

### Public Class methods

json_create(object)

Deserializes JSON string by constructing new Regexp object with source `s` (Regexp or String) and options `o` serialized by `to_json`

### Public Instance methods

as_json(*)

Returns a hash, that will be turned into a JSON object and represent this object.

to_json(*)

Stores class name (Regexp) with options `o` and source `s` (Regexp or String) as JSON string

[Validate]